﻿using System.Configuration;
using System.Linq;
using Microsoft.AspNet.SignalR;
using Microsoft.AspNet.SignalR.Hubs;

namespace SyncfusionReportViewer.Hubs
{
    public class DataHub : Hub
    {
        private static string conString = ConfigurationManager.ConnectionStrings["DataContext"].ToString();

        public void Hello()
        {
            Clients.All.hello();
        }

        [HubMethodName("sendMessages")]
        public static void SendMessages()
        {
            IHubContext context = GlobalHost.ConnectionManager.GetHubContext<DataHub>();
            context.Clients.All.updateMessages();
        }
    }
}