namespace SyncfusionReportViewer.Models
{
    using System;
    using System.Data.Entity;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Linq;

    public partial class DataContext : DbContext
    {
        public DataContext()
            : base("name=DataContext")
        {
        }

        

        public virtual DbSet<Order> Order { get; set; }

        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            modelBuilder.Entity<Order>()
                 .Property(e => e.Order1)
                 .IsFixedLength();

            modelBuilder.Entity<Order>()
                .Property(e => e.Customer)
                .IsFixedLength();
        }
    }
}
