namespace SyncfusionReportViewer.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Data.Entity.Spatial;

    [Table("Order")]
    public partial class Order
    {
        [DatabaseGenerated(DatabaseGeneratedOption.None)]
        public int Id { get; set; }

        [Column("Order")]
        [Required]
        [StringLength(10)]
        public string Order1 { get; set; }

        public DateTime DateExport { get; set; }

        public int Qty { get; set; }

        [Required]
        [StringLength(10)]
        public string Customer { get; set; }
    }
}
